Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • CreateFolder
        • Get permissions
        • Modify permissions
        • DLS suggest
        • Delete folder
        • Move folder entry
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. Folder
  4. Modify permissions
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

Modify permissions

Modifies permissions for the specified entry.

RequestRequest

POST

https://api.datalens.tech/rpc/modifyPermissions

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "entryId": "example",
  "body": {
    "diff": {
      "added": {
        "acl_adm": [
          {}
        ],
        "acl_edit": [
          {}
        ],
        "acl_view": [
          {}
        ],
        "acl_execute": [
          {}
        ]
      },
      "removed": {
        "acl_adm": [
          {}
        ],
        "acl_edit": [
          {}
        ],
        "acl_view": [
          {}
        ],
        "acl_execute": [
          {}
        ]
      },
      "modified": {
        "acl_adm": [
          {}
        ],
        "acl_edit": [
          {}
        ],
        "acl_view": [
          {}
        ],
        "acl_execute": [
          {}
        ]
      }
    }
  },
  "checkType": "straight",
  "nested": true,
  "page": 0.5,
  "pageSize": 0.5
}

Name

Description

body

Type: object

diff

Type: object

added

Type: object

acl_adm

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to grant admin access.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_edit

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to grant edit access.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_execute

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to grant execute access.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_view

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to grant view access.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

Permissions to add.

Example
{
  "acl_adm": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_edit": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_view": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_execute": [
    {
      "comment": "example",
      "subject": "example"
    }
  ]
}

modified

Type: object

acl_adm

Type: object[]

new

Type: object

grantType

Type: string

New ACL level to assign to the subject.

Enum: acl_view, acl_edit, acl_adm, acl_execute

subject

Type: string

New subject identifier after modification.

Example: example

Example
{
  "grantType": "acl_view",
  "subject": "example"
}

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Admin permission modifications.

Example
[
  {
    "comment": "example",
    "subject": "example",
    "new": {
      "grantType": "acl_view",
      "subject": "example"
    }
  }
]

acl_edit

Type: object[]

new

Type: object

grantType

Type: string

New ACL level to assign to the subject.

Enum: acl_view, acl_edit, acl_adm, acl_execute

subject

Type: string

New subject identifier after modification.

Example: example

Example
{
  "grantType": "acl_view",
  "subject": "example"
}

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Edit permission modifications.

Example
[
  {
    "comment": "example",
    "subject": "example",
    "new": {
      "grantType": "acl_view",
      "subject": "example"
    }
  }
]

acl_execute

Type: object[]

new

Type: object

grantType

Type: string

New ACL level to assign to the subject.

Enum: acl_view, acl_edit, acl_adm, acl_execute

subject

Type: string

New subject identifier after modification.

Example: example

Example
{
  "grantType": "acl_view",
  "subject": "example"
}

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Execute permission modifications.

Example
[
  {
    "comment": "example",
    "subject": "example",
    "new": {
      "grantType": "acl_view",
      "subject": "example"
    }
  }
]

acl_view

Type: object[]

new

Type: object

grantType

Type: string

New ACL level to assign to the subject.

Enum: acl_view, acl_edit, acl_adm, acl_execute

subject

Type: string

New subject identifier after modification.

Example: example

Example
{
  "grantType": "acl_view",
  "subject": "example"
}

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

View permission modifications.

Example
[
  {
    "comment": "example",
    "subject": "example",
    "new": {
      "grantType": "acl_view",
      "subject": "example"
    }
  }
]

Permissions to modify.

Example
{
  "acl_adm": [
    {
      "comment": "example",
      "subject": "example",
      "new": {
        "grantType": "acl_view",
        "subject": "example"
      }
    }
  ],
  "acl_edit": [
    {
      "comment": "example",
      "subject": "example",
      "new": {
        "grantType": "acl_view",
        "subject": "example"
      }
    }
  ],
  "acl_view": [
    {
      "comment": "example",
      "subject": "example",
      "new": {
        "grantType": "acl_view",
        "subject": "example"
      }
    }
  ],
  "acl_execute": [
    {
      "comment": "example",
      "subject": "example",
      "new": {
        "grantType": "acl_view",
        "subject": "example"
      }
    }
  ]
}

removed

Type: object

acl_adm

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to revoke admin access from.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_edit

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to revoke edit access from.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_execute

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to revoke execute access from.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

acl_view

Type: object[]

subject

Type: string

Subject identifier.

Example: example

comment

Type: string

Comment describing the reason for this permission change.

Example: example

Subjects to revoke view access from.

Example
[
  {
    "comment": "example",
    "subject": "example"
  }
]

Permissions to remove.

Example
{
  "acl_adm": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_edit": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_view": [
    {
      "comment": "example",
      "subject": "example"
    }
  ],
  "acl_execute": [
    {
      "comment": "example",
      "subject": "example"
    }
  ]
}

Set of permission changes to apply.

Example
{
  "added": {
    "acl_adm": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_edit": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_view": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_execute": [
      {
        "comment": "example",
        "subject": "example"
      }
    ]
  },
  "removed": {
    "acl_adm": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_edit": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_view": [
      {
        "comment": "example",
        "subject": "example"
      }
    ],
    "acl_execute": [
      {
        "comment": "example",
        "subject": "example"
      }
    ]
  },
  "modified": {
    "acl_adm": [
      {
        "comment": "example",
        "subject": "example",
        "new": {
          "grantType": "acl_view",
          "subject": "example"
        }
      }
    ],
    "acl_edit": [
      {
        "comment": "example",
        "subject": "example",
        "new": {
          "grantType": "acl_view",
          "subject": "example"
        }
      }
    ],
    "acl_view": [
      {
        "comment": "example",
        "subject": "example",
        "new": {
          "grantType": "acl_view",
          "subject": "example"
        }
      }
    ],
    "acl_execute": [
      {
        "comment": "example",
        "subject": "example",
        "new": {
          "grantType": "acl_view",
          "subject": "example"
        }
      }
    ]
  }
}

Permission changes to apply.

Example
{
  "diff": {
    "added": {
      "acl_adm": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_edit": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_view": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_execute": [
        {
          "comment": "example",
          "subject": "example"
        }
      ]
    },
    "removed": {
      "acl_adm": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_edit": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_view": [
        {
          "comment": "example",
          "subject": "example"
        }
      ],
      "acl_execute": [
        {
          "comment": "example",
          "subject": "example"
        }
      ]
    },
    "modified": {
      "acl_adm": [
        {
          "comment": "example",
          "subject": "example",
          "new": {}
        }
      ],
      "acl_edit": [
        {
          "comment": "example",
          "subject": "example",
          "new": {}
        }
      ],
      "acl_view": [
        {
          "comment": "example",
          "subject": "example",
          "new": {}
        }
      ],
      "acl_execute": [
        {
          "comment": "example",
          "subject": "example",
          "new": {}
        }
      ]
    }
  }
}

entryId

Type: string

ID of the entry to modify permissions for.

Example: example

checkType

Type: string

Scope of permission check: straight (direct), hierarchical, or root.

Enum: straight, hierarchical, root

nested

Type: boolean

Apply changes recursively to all nested entries.

page

Type: number

Page number for paginated results.

pageSize

Type: number

Number of results per page.

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "result": "ok",
  "nextPageToken": "example"
}

Name

Description

result

Type: string

Const: ok

Example: example

nextPageToken

Type: string

Token for fetching the next page of results.

Example: example

Was the article helpful?

Previous
Get permissions
Next
DLS suggest
© 2026 Direct Cursus Technology L.L.C.